Debian Bug report logs - #638839
please add multi-arch support for libhal1

version graph

Package: hal; Maintainer for hal is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for hal is src:hal.

Reported by: Riku Voipio <riku.voipio@iki.fi>

Date: Mon, 22 Aug 2011 11:24:02 UTC

Severity: wishlist

Tags: patch, wontfix

Found in versions hal/0.5.14-7, hal/0.5.14-8

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Mon, 22 Aug 2011 11:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 22 Aug 2011 11:24:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: submit@bugs.debian.org
Subject: please add multi-arch support for libhal1
Date: Mon, 22 Aug 2011 14:20:36 +0300
[Message part 1 (text/plain, inline)]
Package: hal
Version: 0.5.14-7
Severity: wishlist
User: debian-dpkg@lists.debian.org
Usertags: multiarch
Tags: patch

Hi,

The attached patch converts the libraries included in hal package to multiarch paths 
and adds the  relevant Multi-Arch: fields to debian/control.

For more information, see:

http://wiki.debian.org/Multiarch/Implementation

Riku
[popt-multiarch.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Mon, 22 Aug 2011 11:27:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 22 Aug 2011 11:27:16 GMT) Full text and rfc822 format available.

Message #10 received at 638839@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: 638839@bugs.debian.org
Subject: multiarchize hal: wrong patch..
Date: Mon, 22 Aug 2011 14:25:41 +0300
[Message part 1 (text/plain, inline)]
Uh sorry, attached wrong patch. This one should apply better to hal sources..

Riku
[hal-multiarch.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Tue, 23 Aug 2011 16:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 23 Aug 2011 16:51:03 GMT) Full text and rfc822 format available.

Message #15 received at 638839@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Riku Voipio <riku.voipio@iki.fi>, 638839@bugs.debian.org
Subject: Re: Bug#638839: multiarchize hal: wrong patch..
Date: Tue, 23 Aug 2011 18:47:46 +0200
[Message part 1 (text/plain, inline)]
Hi Riku,

Am 22.08.2011 13:25, schrieb Riku Voipio:
> Uh sorry, attached wrong patch. This one should apply better to hal sources..

thanks for the patch. I have to acknowledge that I no longer actively use hal
and try to get rid of it for wheezy [1] (for Linux at least).
So I'm wondering, if there is a benefit of converting hal to multiarch.
Have you tested hal that it still works correctly?

Michael

[1] http://wiki.debian.org/HALRemoval

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Thu, 25 Aug 2011 06:21:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Riku Voipio <riku.voipio@iki.fi>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 25 Aug 2011 06:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 638839@bugs.debian.org (full text, mbox):

From: Riku Voipio <riku.voipio@iki.fi>
To: Michael Biebl <biebl@debian.org>
Cc: Riku Voipio <riku.voipio@iki.fi>, 638839@bugs.debian.org
Subject: Re: Bug#638839: multiarchize hal: wrong patch..
Date: Thu, 25 Aug 2011 09:19:30 +0300
On Tue, Aug 23, 2011 at 06:47:46PM +0200, Michael Biebl wrote:
> thanks for the patch. I have to acknowledge that I no longer actively use hal
> and try to get rid of it for wheezy [1] (for Linux at least).
> So I'm wondering, if there is a benefit of converting hal to multiarch.

Good question. I picked up hal from the ia32libs package, as one of the goals of
multiarch is to get rid of ia32libs. If hal is vanishing anyways, then this 
patch can be ignored.

> Have you tested hal that it still works correctly?

nope :) Only that libraries are now installed to the right place and that dynamic
linker still picks them up as expected.

Riku






Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Fri, 08 Jun 2012 22:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 08 Jun 2012 22:00:06 GMT) Full text and rfc822 format available.

Message #25 received at 638839@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: 638839@bugs.debian.org
Subject: needed for wheezy because of wine
Date: Fri, 8 Jun 2012 23:57:01 +0200
Meow!

It looks like hal still has quite a few dependencies, and thus won't go away
for wheezy.  And now, wine got a dependency on libhal1:i386, ie, a foreign
architecture for a majority of users, which obviously makes it not
coinstallable with, among others, parts of xfce.  I have no idea how much
work it would be to fix those parts, but since there's very little time
before wheezy and a patch exists, could you apply it?

-- 
I was born an ugly, dumb and work-loving child, then an evil midwife
replaced me in the crib.




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Fri, 08 Jun 2012 22:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 08 Jun 2012 22:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 638839@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Adam Borowski <kilobyte@angband.pl>, 638839@bugs.debian.org
Subject: Re: Bug#638839: needed for wheezy because of wine
Date: Sat, 09 Jun 2012 00:01:56 +0200
[Message part 1 (text/plain, inline)]
On 08.06.2012 23:57, Adam Borowski wrote:
> Meow!
> 
> It looks like hal still has quite a few dependencies, and thus won't go away
> for wheezy.  And now, wine got a dependency on libhal1:i386, ie, a foreign
> architecture for a majority of users, which obviously makes it not
> coinstallable with, among others, parts of xfce.  I have no idea how much
> work it would be to fix those parts, but since there's very little time
> before wheezy and a patch exists, could you apply it?

wine should really stop depending on hal and I was told this is the case
with the latest upload of wine 1.4.



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Fri, 08 Jun 2012 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 08 Jun 2012 22:09:03 GMT) Full text and rfc822 format available.

Message #35 received at 638839@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Adam Borowski <kilobyte@angband.pl>, 638839@bugs.debian.org
Subject: Re: Bug#638839: needed for wheezy because of wine
Date: Sat, 09 Jun 2012 00:05:19 +0200
[Message part 1 (text/plain, inline)]
On 09.06.2012 00:01, Michael Biebl wrote:
> On 08.06.2012 23:57, Adam Borowski wrote:
>> It looks like hal still has quite a few dependencies, and thus won't go away
>> for wheezy.  And now, wine got a dependency on libhal1:i386, ie, a foreign
..
> wine should really stop depending on hal and I was told this is the case
> with the latest upload of wine 1.4.


http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=613186

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Fri, 08 Jun 2012 22:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Borowski <kilobyte@angband.pl>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 08 Jun 2012 22:09:05 GMT) Full text and rfc822 format available.

Message #40 received at 638839@bugs.debian.org (full text, mbox):

From: Adam Borowski <kilobyte@angband.pl>
To: 638839@bugs.debian.org
Subject: Re: Bug#638839: needed for wheezy because of wine
Date: Sat, 9 Jun 2012 00:07:10 +0200
On Sat, Jun 09, 2012 at 12:01:56AM +0200, Michael Biebl wrote:
> > And now, wine got a dependency on libhal1:i386, ie, a foreign
> 
> wine should really stop depending on hal and I was told this is the case
> with the latest upload of wine 1.4.

Package: libwine
Source: wine
Version: 1.4-4
Installed-Size: 80051
Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
Architecture: i386
Replaces: libwine-gl (<< 0.9.53-1), libwine-twain (<< 0.9.13), wine (<< 0.9.11-1)
Depends: debconf (>= 0.5) | debconf-2.0, libc6 (>= 2.9), libfreetype6 (>=
2.2.1), libhal1 (>= 0.5.8.1), libice6 (>= 1:1.0.0), libjpeg8 (>= 8c),
        ^^^^^^^
libmpg123-0 (>= 1.13.7), libpng12-0 (>= 1.2.13-4), libsm6, libssl1.0.0 (>=
1.0.0), libx11-6, libxcursor1 (>> 1.1.2), libxext6, libxi6, libxinerama1,
libxml2 (>= 2.7.4), libxrandr2, libxrender1, zlib1g (>= 1:1.1.4)


Sadly, not the case yet :(


-- 
I was born an ugly, dumb and work-loving child, then an evil midwife
replaced me in the crib.




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Fri, 08 Jun 2012 22:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 08 Jun 2012 22:15:03 GMT) Full text and rfc822 format available.

Message #45 received at 638839@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Adam Borowski <kilobyte@angband.pl>, 638839@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#638839: needed for wheezy because of wine
Date: Sat, 09 Jun 2012 00:13:58 +0200
[Message part 1 (text/plain, inline)]
On 09.06.2012 00:07, Adam Borowski wrote:
> On Sat, Jun 09, 2012 at 12:01:56AM +0200, Michael Biebl wrote:
>>> And now, wine got a dependency on libhal1:i386, ie, a foreign
>>
>> wine should really stop depending on hal and I was told this is the case
>> with the latest upload of wine 1.4.
> 
> Package: libwine
> Source: wine
> Version: 1.4-4
> Installed-Size: 80051
> Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
> Architecture: i386
> Replaces: libwine-gl (<< 0.9.53-1), libwine-twain (<< 0.9.13), wine (<< 0.9.11-1)
> Depends: debconf (>= 0.5) | debconf-2.0, libc6 (>= 2.9), libfreetype6 (>=
> 2.2.1), libhal1 (>= 0.5.8.1), libice6 (>= 1:1.0.0), libjpeg8 (>= 8c),
>         ^^^^^^^
> libmpg123-0 (>= 1.13.7), libpng12-0 (>= 1.2.13-4), libsm6, libssl1.0.0 (>=
> 1.0.0), libx11-6, libxcursor1 (>> 1.1.2), libxext6, libxi6, libxinerama1,
> libxml2 (>= 2.7.4), libxrandr2, libxrender1, zlib1g (>= 1:1.1.4)
> 
> 
> Sadly, not the case yet :(

Please talk to the wine maintainers then.
The hal package won't see any further updates. It's a dead corpse.


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Sat, 29 Sep 2012 00:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Gouget <fgouget@free.fr>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 29 Sep 2012 00:15:03 GMT) Full text and rfc822 format available.

Message #50 received at 638839@bugs.debian.org (full text, mbox):

From: Francois Gouget <fgouget@free.fr>
To: Debian Bug Tracking System <638839@bugs.debian.org>
Subject: Re: please add multi-arch support for libhal1
Date: Sat, 29 Sep 2012 02:14:07 +0200
Package: libhal1
Version: 0.5.14-8
Followup-For: Bug #638839

Dear Maintainer,

This breaks HAL support in Wine for multi-arch configurations.
libhal1-dev will need the same treatment so Wine can be built with HAL support.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-3-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages libhal1 depends on:
ii  libc6        2.13-35
ii  libdbus-1-3  1.6.0-1

libhal1 recommends no packages.

libhal1 suggests no packages.

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Sat, 29 Sep 2012 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 29 Sep 2012 05:57:03 GMT) Full text and rfc822 format available.

Message #55 received at 638839@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Francois Gouget <fgouget@free.fr>, 638839@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#638839: please add multi-arch support for libhal1
Date: Sat, 29 Sep 2012 07:54:58 +0200
[Message part 1 (text/plain, inline)]
tags 638839 + wontfix
thanks

On 29.09.2012 02:14, Francois Gouget wrote:
> Package: libhal1
> Version: 0.5.14-8
> Followup-For: Bug #638839
> 
> Dear Maintainer,
> 
> This breaks HAL support in Wine for multi-arch configurations.
> libhal1-dev will need the same treatment so Wine can be built with HAL support.
> 

HAL is dead. No software should use it anymore.
Please fix wine to not use HAL anymore.
If wine is really still depending on HAL, please talk to the Wine
maintainers.

Marking this bug as wontfix.

Michael
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) wontfix. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 29 Sep 2012 05:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#638839; Package hal. (Thu, 06 Feb 2014 11:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Gouget <fgouget@free.fr>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 06 Feb 2014 11:18:05 GMT) Full text and rfc822 format available.

Message #62 received at 638839@bugs.debian.org (full text, mbox):

From: Francois Gouget <fgouget@free.fr>
To: Michael Biebl <biebl@debian.org>
Cc: 638839@bugs.debian.org
Subject: Re: Bug#638839: please add multi-arch support for libhal1
Date: Thu, 6 Feb 2014 12:16:15 +0100 (CET)
On Sat, 29 Sep 2012, Michael Biebl wrote:
[...]
> HAL is dead. No software should use it anymore.
> Please fix wine to not use HAL anymore.

Wine is compatible with both newer DBus-based Linux distributions and 
older ones that still use HAL. Hence the HAL support will stay in for a 
while. It's just shame that this prevents compiling a Wine binary that 
can be deployed on both old and new systems. It's probably not a big 
deal though.


-- 
Francois Gouget <fgouget@free.fr>              http://fgouget.free.fr/
              Linux: Because rebooting is for adding new hardware



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 08:25:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.